# Class: MoneroDaemonUpdateCheckResult

## MoneroDaemonUpdateCheckResult(is)

Models the result of checking for a daemon update.

## Constructor

#### new MoneroDaemonUpdateCheckResult(is)

Deep copy constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`is` | MoneroDaemonUpdateCheckResult | an existing result to deep copy from

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 4

### Methods

#### getAutoUri() → {string}

Get the uri to automatically download the update.

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 70

##### Returns:

is the uri to automatically download the update

Type
  string

#### getHash() → {string}

Get the update's hash.

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 56

##### Returns:

is the update's hash

Type
  string

#### getUserUri() → {string}

Get the uri to manually download the update.

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 84

##### Returns:

is the uri to manually download the update

Type
  string

#### getVersion() → {string}

Get the update's version.

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 42

##### Returns:

is the update's version

Type
  string

#### isUpdateAvailable() → {boolean}

Indicates if an update is available.

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 28

##### Returns:

true if an update is available, false otherwise

Type
  boolean

#### setAutoUri()

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 74

#### setHash()

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 60

#### setIsUpdateAvailable()

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 32

#### setUserUri()

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 88

#### setVersion()

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateCheckResult.js, line 46